## NAME

r3.timestamp - Modifies a timestamp for a 3D raster map.
Print/add/remove a timestamp for a 3D raster map.

## KEYWORDS

raster3d, metadata, timestamp, time, voxel

## SYNOPSIS

r3.timestamp
r3.timestamp --help
r3.timestamp map=name [date=timestamp] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name [required]
  Name of 3D raster map
date=timestamp
  Datetime, datetime1/datetime2, or none

## DESCRIPTION

This command has 2 modes of operation. If no date argument is supplied, then the current timestamp for the 3D raster map is printed. If a date argument is specified, then the timestamp for the 3D raster map is set to the specified date(s). See examples below.

See TIMESTAMP FORMAT description for details.

## NOTES

Strings containing spaces should be quoted. For specifying a range of time, the two timestamps should be separated by a forward slash. To remove the timestamp from a 3D raster map, use date=none.

## EXAMPLES

Prints the timestamp for the "soils" 3D raster map. If there is no timestamp for soils, nothing is printed. If there is a timestamp, one or two lines are printed, depending on if the timestamp for the map consists of a single date or two dates (ie start and end dates).

    r3.timestamp map=soils

Sets the timestamp for "soils" to the single date "15 sep 1987".

    r3.timestamp map=soils date='15 sep 1987'

Sets the timestamp for "soils" to have the start date "15 sep 1987" and the end date "20 feb 1988".

    r3.timestamp map=soils date='15 sep 1987/20 feb 1988'

Sets the timestamp for "soils" to have the start date "18 feb 2005 10:30:00" and the end date "20 jul 2007 20:30:00".

    r3.timestamp map=soils date='18 feb 2005 10:30:00/20 jul 2007 20:30:00'

Removes the timestamp for the "soils" 3D raster map.

    r3.timestamp map=soils date=none

## KNOWN ISSUES

Spaces in the timestamp value are required.

## SEE ALSO

r3.info, r.timestamp, v.timestamp

## AUTHORS

Michael Pelizzari
Lockheed Martin Space Systems
based on r.timestamp by Michael Shapiro,
U.S. Army Construction Engineering Research Laboratory

## SOURCE CODE

Available at: r3.timestamp source code (history)

Latest change: Thursday Jan 26 14:10:26 2023 in commit: cdd84c130cea04b204479e2efdc75c742efc4843

Main index | 3D raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual